Bug 1880091 - Freezes when you try and eject hardware
Summary: Freezes when you try and eject hardware
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-17 16:20 UTC by jamie
Modified: 2020-11-24 20:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 20:08:25 UTC
Type: Bug


Attachments (Terms of Use)
dmesg -t after failing to unmount (63.90 KB, text/plain)
2020-09-20 21:00 UTC, jamie
no flags Details

Description jamie 2020-09-17 16:20:11 UTC
Description of problem:
When I try and "eject"(unmount) a USB device Thunar freezes 

Version-Release number of selected component (if applicable):
1.8.14

How reproducible:
Allways 

Steps to Reproduce:
1.Plug in a USB device 
2.Hit the "Eject" button and it won't unmount 

Actual results:
It won't unmount 

Expected results:
It shuld unmount

Additional info:
Seems to work through Gnome-disks.

Comment 1 Kevin Fenzi 2020-09-20 19:26:07 UTC
Can you attach the output of 'dmesg -T' after it hands and won't unmount?

Comment 2 jamie 2020-09-20 21:00:29 UTC
Created attachment 1715473 [details]
dmesg -t after failing to unmount

ltxt means the file has standard Linux endlines.

Comment 3 jamie 2020-09-20 21:01:12 UTC
I have attached it, only enough in the minute or so I took to do that I did unmount and unfreeze.

Comment 4 jamie 2020-09-20 21:01:35 UTC
*odly

Comment 5 Ben Cotton 2020-11-03 16:59:47 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-11-24 20:08:25 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.